Bug 887746 - Document some examples of searching for particular kinds of hardware
Summary: Document some examples of searching for particular kinds of hardware
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: Doc
Version: 0.10
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: 0.12
Assignee: Amit Saha
QA Contact: Raymond Mancy
URL:
Whiteboard: Doc
Keywords: Documentation
Depends On: 886820
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-17 08:00 UTC by Nick Coghlan
Modified: 2018-02-06 00:41 UTC (History)
9 users (show)

(edit)
Clone Of: 886820
(edit)
Last Closed: 2013-04-11 04:57:33 UTC


Attachments (Terms of Use)

Description Nick Coghlan 2012-12-17 08:00:12 UTC
As noted in Bug #886820, while Beaker's system search capabilities are powerful and flexible, it isn't always clear how to go from a question like 'I need a system with a graphics card' to '<device type="VIDEO"/>', or, more surprisingly, from 'I need a system without a graphics card' to '<device op="!=" type="VIDEO"/><device type="NETWORK"/>' (The requirement for a network interface to be present rules out systems which haven't been inventoried at all).

The docs should include some example of how to handle certain kinds of query, such as "I want a specific model of network card" or "I need a graphics card" or "I need there to be no graphics card".

Comment 2 Amit Saha 2013-03-13 06:41:40 UTC
On Gerrit: http://gerrit.beaker-project.org/#/c/1795/

Comment 3 Dan Callaghan 2013-03-24 23:24:10 UTC
This change is now included in the development version of Beaker's documentation:

http://beaker-project.org/docs-develop/user-guide/job-xml.html

Comment 4 Dan Callaghan 2013-04-11 04:57:33 UTC
Beaker 0.12 has been released.


Note You need to log in before you can comment on or make changes to this bug.